[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CheckNewParent

Checks if this control can become a child of AParent.

## Declaration

Source position: controls.pp line 1724

`public procedure TControl.CheckNewParent(`
`AParent: TWinControl`
`); virtual;`

## Arguments

`AParent` |  | The new Parent for this control.

## Description

This check is performed during SetParent. It calls CheckChildClassAllowed and whether AParent is the current class instance (Self).

## Errors

An EInvalidOperation occurs when any test fails.